Subject: describe-key's key notation display inconsistency

From: xah lee <[email-masked]>
Date: Tue, 7 Oct 2008 08:12:48 -0700

When doing a describe-key on C-<backspace>, emacs prints <C- 
backspace> instead. Similar for any other special key whose macro  
notation are bracketed by angle brackets. e.g. <down>, <F6>,  
<return>, <kp-1>, etc. Where, emacs puts the entire thing inside  
angle brackets instead of the more traditional of modifier followed  
by dash followed by key name.

Although these are identical as far as kbd function is concerned, but  
wouldn't it be more intuitively consistent by using C-<key> instead  
of <C-key>?

Thanks.

   Xah
∑ http://xahlee.org/

☄